using System;
using System.Collections.Generic;
using System.Linq;

namespace PushPlatform.Data.Bll
{
    public partial class BllProjectInfo
    {
        private DaoAchieve.ProjectInfoDaoAchieve _CurrentDao = null;
        internal DaoAchieve.ProjectInfoDaoAchieve CurrentDao
        {
            get{
                if(_CurrentDao==null)
                {
                    _CurrentDao=new DaoAchieve.ProjectInfoDaoAchieve();
                }
                return _CurrentDao;
            }
        }
        
        public BllProjectInfo()
        {
            
        }
    
        #region Service Bll
        public int Save(ProjectInfo entity)
        {
            if(entity == null)
                return 0;
            return CurrentDao.Save(entity);
        }
        
        public int Save(List<ProjectInfo> entityList)
        {
            if(entityList == null || entityList.Count == 0)
                return 0;
            return CurrentDao.Save(entityList);
        }
        
        
        public int Delete(string id)
        {
            if(string.IsNullOrEmpty(id))
                return 0;
            return CurrentDao.Delete(id);
        }
        
        public int Update(ProjectInfo entity)
        {
            if(entity == null)
                return 0;
            return CurrentDao.Update(entity);
        }
        
        public int Update(List<ProjectInfo> entityList)
        {
            if(entityList == null || entityList.Count == 0)
                return 0;
            return CurrentDao.Save(entityList);
        }
        
        public int SaveOrUpdate(IList<ProjectInfo> entityList)
        {
            if(entityList == null || entityList.Count == 0)
                return 0;
            return CurrentDao.SaveOrUpdate(entityList);
        }
        
        public ProjectInfo Get(string id)
        {
            if (string.IsNullOrEmpty(id))
            {
                return null;
            }
            return CurrentDao.Get(id);
        }
        
        public int GetCount(PushPlatform.Data.Criteria.CriteriaProjectInfo mycriteria)
        {
            return CurrentDao.GetCount(mycriteria);
        }
        
        public List<ProjectInfo> Fetch(PushPlatform.Data.Criteria.CriteriaProjectInfo mycriteria)
        {
            if(mycriteria.UsePage && (mycriteria.PageIndex <= 0 || mycriteria.PageSize < 1))
            {
                mycriteria.PageTotal = 0;
                return new List<ProjectInfo>();
            }
            return CurrentDao.Fetch(mycriteria);
        }
        #endregion
       
    }
}

